/*
 * talkatu
 * Copyright (C) 2017-2018 Gary Kramlich <grim@reaperworld.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, see <http://www.gnu.org/licenses/>.
 */

#ifndef GPLUGIN_GTK_VIEWER_WINDOW_H
#define GPLUGIN_GTK_VIEWER_WINDOW_H

#include <gtk/gtk.h>

#define GPLUGIN_GTK_TYPE_VIEWER_WINDOW            (gplugin_gtk_viewer_window_get_type())
#define GPLUGIN_GTK_VIEWER_WINDOW(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GPLUGIN_GTK_TYPE_VIEWER_WINDOW, GPluginGtkViewerWindow))
#define GPLUGIN_GTK_VIEWER_WINDOW_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass), GPLUGIN_GTK_TYPE_VIEWER_WINDOW, GPluginGtkViewerWindowClass))
#define GPLUGIN_GTK_IS_VIEWER_WINDOW(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GPLUGIN_GTK_TYPE_VIEWER_WINDOW))
#define GPLUGIN_GTK_IS_VIEWER_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), GPLUGIN_GTK_TYPE_VIEWER_WINDOW))
#define GPLUGIN_GTK_VIEWER_WINDOW_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), GPLUGIN_GTK_TYPE_VIEWER_WINDOW, GPluginGtkViewerWindowClass))

typedef struct _GPluginGtkViewerWindow            GPluginGtkViewerWindow;
typedef struct _GPluginGtkViewerWindowClass       GPluginGtkViewerWindowClass;

#include <glib.h>
#include <glib-object.h>

#include <gtk/gtk.h>

struct _GPluginGtkViewerWindow {
	GtkWindow parent;

	gpointer reserved[4];
};

struct _GPluginGtkViewerWindowClass {
	GtkWindowClass parent;

	gpointer reserved[4];
};

G_BEGIN_DECLS

GType gplugin_gtk_viewer_window_get_type(void);

GtkWidget *gplugin_gtk_viewer_window_new(void);

G_END_DECLS

#endif /* GPLUGIN_GTK_VIEWER_WINDOW_H */
